%define ctan_date  20051007
%define texmf      %{_datadir}/texmf
%define texfonts   %{texmf}/fonts
%define texpkg     kerkis
%define fontpath   %{texpkg}

Name:           tetex-font-kerkis
Version:        2.0
Release:        13%{?dist}
Summary:        Kerkis type 1 fonts for LaTeX
Group:          Applications/Publishing
License:        Distributable
URL:           	http://iris.math.aegean.gr/kerkis/Kerkis_for_LaTeX.html
Source0:        kerkis-%{ctan_date}.zip
# upstream source - unversioned zip file
# ftp://tug.ctan.org/pub/tex-archive/fonts/greek/kerkis.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       tetex-latex tetex-fonts
BuildArch:      noarch


%description
This package contains the Kerkis type 1 fonts for LaTeX.

These fonts are particularly useful for typesetting Greek. The
Greek repertoire includes full support for polytonic Greek, Greek
numerals, and double forms of several letters that occur in variant
forms.

The Latin part of the font comprise old style numbers, accented Latin
characters and common ligatures (including frequently omitted
ligatures such as "fj").

Please see the file "License.txt" for details on the use of this font.


%prep
%setup -q -n %{texpkg}


%build


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{texmf}/tex/latex/%{texpkg}
mkdir -p %{buildroot}%{texfonts}/{tfm,type1,vf}/%{fontpath}
mkdir -p %{buildroot}%{texfonts}/{map,enc}/dvips/%{texpkg}

install -p -m 644 tex/{*.sty,*.fd} %{buildroot}%{texmf}/tex/latex/%{texpkg}/
install -p -m 644 tfm/*.tfm %{buildroot}%{texfonts}/tfm/%{fontpath}/
install -p -m 644 type1/*.pfb %{buildroot}%{texfonts}/type1/%{fontpath}/
install -p -m 644 vf/*.vf %{buildroot}%{texfonts}/vf/%{fontpath}/
install -p -m 644 dvips/*.map %{buildroot}%{texfonts}/map/dvips/%{texpkg}/
install -p -m 644 dvips/*.enc %{buildroot}%{texfonts}/enc/dvips/%{texpkg}/


%clean
rm -rf %{buildroot}


%post
/usr/bin/texhash
conffile="$(/usr/bin/texconfig-sys conf | /bin/grep updmap.cfg)"
if [ "$1" = "1" ]; then
  /usr/bin/updmap-sys --quiet --nohash --cnffile ${conffile} --enable Map %{texpkg}.map
fi


%postun
conffile="$(/usr/bin/texconfig-sys conf | /bin/grep updmap.cfg)"
if [ "$1" = "0" ]; then
  /usr/bin/updmap-sys --quiet --nohash --cnffile ${conffile} --disable %{texpkg}.map
fi
/usr/bin/texhash


%files
%defattr(-,root,root,-)
%doc License.txt README.html
%{texmf}/tex/latex/%{texpkg}
%{texfonts}/tfm/%{fontpath}
%{texfonts}/type1/%{fontpath}
%{texfonts}/vf/%{fontpath}
%{texfonts}/map/dvips/%{texpkg}
%{texfonts}/enc/dvips/%{texpkg}


%changelog
* Tue Aug 29 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 2.0-13
- Bump release for FC6 rebuild.

* Mon Feb 20 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 2.0-11
- Rebuild for FC5.

* Sun Nov  6 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 2.0-10
- Use run-time define updmap.cfg (Michal Jaegermann, bug #172492).

* Wed Nov  2 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 2.0-9
- Use absolute path commands in post and postun.

* Wed Nov  2 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 2.0-8
- Remove explicit outputdir for updmap-sys (bug #172268)
- Readd texhash in post and postun.

* Fri Oct  7 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 2.0-7
- Require tetex-fonts.
- Drop kerkis-test.tex.
- Use ctan zip soure.
- Other cleanups.

* Tue Jun 21 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 2.0-6
- Run updmap-sys only when installing/removing, not updating.

* Fri Jun 10 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 2.0-5
- Fix location for font encoding files
- Use updmap-sys instead of updmap

* Wed Jun  1 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 2.0-4
- update location for map files according to TeXLive 2004.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed May  5 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.0-0.fdr.2
- Added kerkis-test.tex test document (bug 998).
- Moved preun script to postun (bug 998).
- Split Requires(post,postun) into separate Require statements (bug 998).

* Sun Nov 16 2003 Marius L. Johndal <mariuslj at ifi.uio.no> 0:2.0-0.fdr.1
- Initial RPM release.
